Create or update a lifecycle policy

Auth

If the specified policy exists, it is replaced and the policy version is incremented.

Note

Only the latest version of the policy is stored, you cannot revert to previous versions.

Read the reference documentation

Required privileges

Index privileges manage
Cluster privileges manage_ilm

Path parameters

policy string required

Identifier for the policy.

Query parameters

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Request body

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.